<?php

class CustomTwigExtension extends \Twig\Extension\AbstractExtension implements \Twig\Extension\GlobalsInterface
{
    public function getFilters()
    {
        return [
            new \Twig\TwigFilter('json_decode', [$this, 'jsonDecode']),
        ];
    }

    public function getGlobals(): array
    {
        return [];
    }

    public function jsonDecode($json)
    {
        return json_decode($json, true);
    }
}
